package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.PlanConsumablesPurchase;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.PlanConsumablesPurchaseQuery;
import cn.wise.sc.cement.business.model.query.PlanFinishQuery;
import cn.wise.sc.cement.business.model.vo.PlanConsumablesPurchaseVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-09-28
 */
public interface IPlanConsumablesPurchaseService extends IService<PlanConsumablesPurchase> {

	BaseResponse<IPage<PlanConsumablesPurchaseVo>> getPage(PageQuery pageQuery, String name);

	void export(String name, String fileName, HttpServletResponse response);

	BaseResponse<PlanConsumablesPurchase> create(PlanConsumablesPurchaseQuery query);

	BaseResponse<PlanConsumablesPurchase> update(PlanConsumablesPurchaseQuery query);

	BaseResponse<PlanConsumablesPurchaseVo> getDetail(Integer id);

	BaseResponse<String> finish(PlanFinishQuery query);

	BaseResponse<String> delete(Integer id);

	/**
	 * 导出word
	 * @param response
	 */
	void exportWord(String name, String fileName, Integer status, HttpServletResponse response);
}
